//******************************************************************************
//Datei     : TManageComboboxProtocolDlg.cpp
//Projekt   : XCTL
//Subsystem : Protokollbuch
//Autor     : Jens Klier <klier@informatik.hu-berlin.de>
//            Institut fuer Informatik,
//            Humboldt-Universitaet Berlin
//Inhalt    : Interface der Klasse TManageComboboxProtocolDlg
//******************************************************************************
//!neu klier Protokollbuch
#ifndef _TMANAGECOMBOBOXPROTOCOLDLG_H
#define _TMANAGECOMBOBOXPROTOCOLDLG_H

#include "protocol\TProtocol.h"

//--||--\\--||--//--||--\\--||--//--||--\\--||--//--||--\\--||--//--||--\\--||--

class TManageComboboxProtocolDlg
{
public:
	void InitializeManageComboboxProtocolDlg( TProtocol* );

	// Initialisiert eine Combobox mit Werten aus einer ini-Datei/Parameterliste
	void InitializeCombobox( HWND , HWND &, int, int, LPCSTR );

	void AddComboboxItem( HWND, LPCSTR );
	void AddAndSelectComboboxItem( HWND, LPCSTR );
	void DeleteComboboxItem( HWND, LPCSTR );

	// Speichert die Werte einer Combobox in der Programm-ini-datei
	void SaveCombobox( HWND, int, LPCSTR );

	TProtocol *Protocol;

};

#endif //ndef _TMANAGECOMBOBOXPROTOCOLDLG_H

// LastLine
