//******************************************************************************
//Datei     : TProtocolParameterDlg.h
//Projekt   : XCTL
//Subsystem : Protokollbuch
//Autor     : Jens Klier <klier@informatik.hu-berlin.de>
//            Institut fuer Informatik,
//            Humboldt-Universitaet Berlin
//Inhalt    : Interface der Klasse TProtocolParameterDlg
//******************************************************************************
//!neu klier Protokollbuch

#include "utils\u_utils.h" // fr TModalDlg

//--||--\\--||--//--||--\\--||--//--||--\\--||--//--||--\\--||--//--||--\\--||--

#if defined (Build_Protocol)
#define _PROTOCOLCLASS __declspec(dllexport)
#elif defined(Use_Protocol)
#define _PROTOCOLCLASS __declspec(dllimport)
#else
#define _PROTOCOLCLASS
#endif

class _PROTOCOLCLASS TProtocolParameterDlg : public TModalDlg
{
public:
	TProtocolParameterDlg( LPSTR, TProtocol*, TProtocolDlg*, TProtocolManagePrintDlg* );

private:
	BOOL Dlg_OnInit( HWND, HWND, LPARAM );
	void Dlg_OnCommand( HWND, int, HWND, UINT );

	BOOL bNoSortNew, bSortDate, bDebug;
	char szProtocolFile[_MAX_PATH], szProtocolBackupDirectory[_MAX_PATH];

	TProtocol *Protocol;
	TProtocolDlg *ProtocolDlg;
	TProtocolManagePrintDlg *ProtocolManagePrintDlg;
};


// LastLine

