//#############################################################################
//                                                                           //
// MJ_OLD.H                                                                  //
//                                                                           //
// Subsystem : alte Manuelle Justage / Oberflche                            //
// Benutung durch andere Subsysteme erforderlich: JA                         //
//---------------------------------------------------------------------------//
// Quelle: verschoben aus M_DLG.H                                            //
// Stand : 11.01.2003                                                        //
//                                                                           //
//#############################################################################

#ifndef __MJ_OLD_H
#define __MJ_OLD_H

#include "utils\u_utils.h" // TModalDlg

#include "detecuse\detecuse.h" // TDetector

//--||--\\--||--//--||--\\--||--//--||--\\--||--//--||--\\--||--//--||--\\--||--

//#############################################################################
// TAngleControlDlg
//#############################################################################

class TAngleControlDlg : public TModalDlg
{ //************ Steuerung des Probentellers ber den Winkel *********************
public:
	TAngleControlDlg();
	int GetBarEgde( EScrollBarSide );
	int GetBarPos( void );
	void Dlg_OnHScrollBar( HWND, HWND, UINT, int );
	void Dlg_OnTimer( HWND, UINT );
	void Dlg_OnCommand( HWND, int, HWND, UINT );
	BOOL Dlg_OnInit( HWND, HWND, LPARAM );
	void Interrupt( void );
	void LeaveDialog( void );
private:
	int AskTime;
	BOOL bStepMode;
	BOOL bMoveActive;
	BOOL bLongMove;
	BOOL bMeasureHwb;
	HWND BarHandle;
	HWND hMotorList;
	int BarFactor;
	int nMotor;
	TDetector* Sensor;
	double* MoveSpeed;
};

#endif //__MJ_OLD.H

//#############################################################################
// LastLine
//#############################################################################